Kile5

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Kile5

Vojtěch Zeisek-2
Hi,
as KDE4 is going to be dropped completely, I tried to install kile5 from
home:wolfi323:branches:KDE:Frameworks5, but it doesn't provide any kile
binary, so that I can't really test it... :-(
Sincerely,
V.

--
Vojtěch Zeisek

Komunita openSUSE GNU/Linuxu
Community of the openSUSE GNU/Linux

https://www.opensuse.org/
https://trapa.cz/

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Kile5

Fabian Vogt-2
Hi,

Am Montag, 8. Januar 2018, 10:00:14 CET schrieb Vojtěch Zeisek:
> Hi,
> as KDE4 is going to be dropped completely,

No, it isn't.

> I tried to install kile5 from
> home:wolfi323:branches:KDE:Frameworks5, but it doesn't provide any kile
> binary, so that I can't really test it... :-(

Why? kile is still part of TW and builds fine.

Cheers,
Fabian

> Sincerely,
> V.
>
>




--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Kile5

Luca Beltrame
In reply to this post by Vojtěch Zeisek-2
In data lunedì 8 gennaio 2018 10:00:14 CET, Vojtěch Zeisek ha scritto:
> Hi,
> as KDE4 is going to be dropped completely, I tried to install kile5 from

As Fabian said, this is not happening. *Upstream* will no longer make releases
of software which depends on kdelibs 4.x, but we don't have any plans on
dropping it (unless it's broken beyond repair or a KF5-ported alternative
exists).

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Kile5

Vojtěch Zeisek-2
In reply to this post by Fabian Vogt-2
Dne pondělí 8. ledna 2018 10:08:21 CET, Fabian Vogt napsal(a):
> Am Montag, 8. Januar 2018, 10:00:14 CET schrieb Vojtěch Zeisek:
> > Hi,
> > as KDE4 is going to be dropped completely,
>
> No, it isn't.

Sorry, I misunderstood thread "Applications 17.12 Beta to enter
KDE:Applications". Sorry.

> > I tried to install kile5 from
> > home:wolfi323:branches:KDE:Frameworks5, but it doesn't provide any kile
> > binary, so that I can't really test it... :-(
>
> Why? kile is still part of TW and builds fine.

I use the KDE4 version, it is one favored applications. I wished to try KF5
version (even it is beta) to have everywhere same text editor part (I like the
KF5 version more), also KF5 Kile should has bunch of nice improvements.

--
Vojtěch Zeisek

Komunita openSUSE GNU/Linuxu
Community of the openSUSE GNU/Linux

https://www.opensuse.org/
https://trapa.cz/

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Kile5

Wolfgang Bauer
In reply to this post by Vojtěch Zeisek-2
Am Montag, 8. Januar 2018, 10:00:14 schrieb Vojtěch Zeisek:
> I tried to install kile5 from
> home:wolfi323:branches:KDE:Frameworks5, but it doesn't provide any kile
> binary, so that I can't really test it... :-(

It does.
But it is installed to /opt/kf5/, so it won't be found by default.

Kile(5) is available in the standard KDE:Unstable:Extra repo, use this instead
if you want to try the KF5 port.

Kind Regards,
Wolfgang

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Kile5

Wolfgang Bauer
PS:
Am Montag, 8. Januar 2018, 15:05:56 schrieb Wolfgang Bauer:
> It does.
> But it is installed to /opt/kf5/, so it won't be found by default.

It should work if you manually run /opt/kf5/bin/kile though.

> Kile(5) is available in the standard KDE:Unstable:Extra repo, use this
> instead if you want to try the KF5 port.

Just to avoid a surprise:
This one will replace the KDE4 version, it's not possible to install both at
the same time.

Kind Regards,
Wolfgang

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Kile5

Vojtěch Zeisek-2
In reply to this post by Wolfgang Bauer
Dne pondělí 8. ledna 2018 15:05:56 CET, Wolfgang Bauer napsal(a):

> Am Montag, 8. Januar 2018, 10:00:14 schrieb Vojtěch Zeisek:
> > I tried to install kile5 from
> > home:wolfi323:branches:KDE:Frameworks5, but it doesn't provide any kile
> > binary, so that I can't really test it... :-(
>
> It does.
> But it is installed to /opt/kf5/, so it won't be found by default.
>
> Kile(5) is available in the standard KDE:Unstable:Extra repo, use this
> instead if you want to try the KF5 port.
Thank You, it works fine. Only during startup it writes in the Messages pane
/usr/share/texmf/tex/latex/fontspec/fontspec.sty:28:The fontspec packages
requires either XeTeX or LuaTeX \msg_fatal:nn {fontspec} {cannot-use-pdftex}
I'm sure this is present. Kile 2 doesn't complain. I use xelatex and
everything works fine. I found some options to set paths in Kile settings, it
is correct.
I like new Kile. It has nice preview section and bunch of pleasant
improvements.

--
Vojtěch Zeisek
https://trapa.cz/

signature.asc (849 bytes) Download Attachment